MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0031789Open CASCADE[OCCT] OCCT:Codingpublic2020-09-23 09:462020-10-03 14:39
Reporterkgv 
Assigned Toabv 
PrioritylowSeverityminor 
StatusverifiedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.4.0 
Target Version[OCCT] 7.5.0Fixed in Version 
Summary0031789: Coding Rules - remove redundant Standard_EXPORT from TKMesh
DescriptionPackages of TKMesh toolkit contains the following minor coding issues to be corrected:
- Standard_EXPORT is specified for a set of inline methods.
- Redundant occurrences of "inline" keyword could be eliminated.
- It is preferred replacing DEFINE_STANDARD_RTTI_INLINE with DEFINE_STANDARD_RTTIEXT.
Steps To ReproduceNot required
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
child of 0029590closedbugmaster Coding - avoid usage of Standard_EXPORT attribute for inline methods 

-  Notes
(0095276)
git (administrator)
2020-09-24 17:10

Branch CR31789 has been created by mkrylova.

SHA-1: 7e01241df2202ef2ca6fd7a36f4871d4f830ac29


Detailed log of new commits:

Author: mkrylova
Date: Thu Sep 24 17:14:15 2020 +0300

    0031789: Coding Rules - remove redundant Standard_EXPORT from TKMesh
    
    - Standard_EXPORT which were specified for inline methods were deleted.
    - ALL occurrences of DEFINE_STANDARD_RTTI_INLINE were replaced by DEFINE_STANDARD_RTTIEXT where it didn't not cause a linkage errors
    - ALL occurrences of "inline" keyword were deleted where it didn't not cause a linkage errors
(0095277)
git (administrator)
2020-09-24 17:24

Branch CR31789 has been updated by mkrylova.

SHA-1: 43c033b7a185a63d8be8287e018f8402c69836bc


Detailed log of new commits:

Author: mkrylova
Date: Thu Sep 24 17:27:54 2020 +0300

    deleted more Standard_EXPORT

(0095278)
git (administrator)
2020-09-24 17:26

Branch CR31789_1 has been created by mkrylova.

SHA-1: c660453ba91f6b454d46a914645b8a545478955f


Detailed log of new commits:

Author: mkrylova
Date: Thu Sep 24 17:14:15 2020 +0300

    0031789: Coding Rules - remove redundant Standard_EXPORT from TKMesh
    
    - Standard_EXPORT which were specified for inline methods were deleted.
    - ALL occurrences of DEFINE_STANDARD_RTTI_INLINE were replaced by DEFINE_STANDARD_RTTIEXT where it didn't not cause a linkage errors
    - ALL occurrences of "inline" keyword were deleted where it didn't not cause a linkage errors
(0095286)
kgv (developer)
2020-09-24 19:18

Please rebase the patch onto current week and update also a couple of new classes in TKMesh.

-  inline void SetMinMaxSize(const gp_XY& theMin,
+  void SetMinMaxSize(const gp_XY& theMin,
                             const gp_XY& theMax)

Please adjust parameters indentation while removing keywords.

-  DEFINE_STANDARD_RTTI_INLINE (BRepMesh_Classifier, Standard_Transient)
+  DEFINE_STANDARD_RTTI_INLINE(BRepMesh_Classifier, Standard_Transient)
...
--- a/src/IMeshTools/IMeshTools_ShapeVisitor.hxx
+++ b/src/IMeshTools/IMeshTools_ShapeVisitor.hxx

Why this and several other places weren't corrected?
(0095323)
git (administrator)
2020-09-25 15:21

Branch CR31789_1 has been updated by mkrylova.

SHA-1: 49b0371998a67c1a372eb78306a13368f8f79136


Detailed log of new commits:

Author: mkrylova
Date: Fri Sep 25 15:07:47 2020 +0300

    kgv remarks

(0095326)
git (administrator)
2020-09-25 15:25

Branch CR31789_2 has been created by mkrylova.

SHA-1: 65d26b8a118112a27d786dff16c20f91c2c5b9c0


Detailed log of new commits:

Author: mkrylova
Date: Thu Sep 24 17:14:15 2020 +0300

    0031789: Coding Rules - remove redundant Standard_EXPORT from TKMesh
    
    - Standard_EXPORT which were specified for inline methods were deleted.
    - ALL occurrences of DEFINE_STANDARD_RTTI_INLINE were replaced by DEFINE_STANDARD_RTTIEXT where it didn't not cause a linkage errors
    - ALL occurrences of "inline" keyword were deleted where it didn't not cause a linkage errors
(0095442)
git (administrator)
2020-09-28 14:07

Branch CR31789_2 has been updated forcibly by mkrylova.

SHA-1: d2987bce7520c0f59624131c3ab4b29e7ae98d0d
(0095443)
git (administrator)
2020-09-28 14:09

Branch CR31789_3 has been created by mkrylova.

SHA-1: 05d7d75ccc1e6404ebe47bd3ee158b0d5e378ce7


Detailed log of new commits:

Author: mkrylova
Date: Thu Sep 24 17:14:15 2020 +0300

    0031789: Coding Rules - remove redundant Standard_EXPORT from TKMesh
    
    - Standard_EXPORT which were specified for inline methods were deleted.
    - ALL occurrences of DEFINE_STANDARD_RTTI_INLINE were replaced by DEFINE_STANDARD_RTTIEXT in header files and IMPLEMENT_STANDARD_RTTIEXT in source files
    - ALL occurrences of "inline" keyword were deleted where it didn't not cause a linkage errors
    - Added source files for classes that were without them for IMPLEMENT_STANDARD_RTTIEXT
(0095444)
kgv (developer)
2020-09-28 16:08

Please raise the patch
- OCCT branch: CR31789_3.

http://jenkins-test-12.nnov.opencascade.com:8080/view/CR31789_3-master-KGV/ [^]
(0095626)
bugmaster (administrator)
2020-10-03 14:03

Combination -
OCCT branch : IR-2020-10-02
master SHA - 6522304c17181a09fa831c040219d611dc44b94a
a206de37fbfa0bf71bd534ae47192bbec23b8522
Products branch : IR-2020-10-02 SHA - d9c364e1137eed3249e5a05befa860c708f243c0
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18085.050000000083 / 18057.60000000009 [+0.15%]
Products
Total CPU difference: 12174.620000000117 / 12124.200000000114 [+0.42%]
Windows-64-VC14:
OCCT
Total CPU difference: 19713.125 / 19772.65625 [-0.30%]
Products
Total CPU difference: 13533.8125 / 13527.921875 [+0.04%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0095658)
git (administrator)
2020-10-03 14:38

Branch CR31789_3 has been deleted by inv.

SHA-1: 05d7d75ccc1e6404ebe47bd3ee158b0d5e378ce7
(0095659)
git (administrator)
2020-10-03 14:38

Branch CR31789_2 has been deleted by inv.

SHA-1: d2987bce7520c0f59624131c3ab4b29e7ae98d0d
(0095665)
git (administrator)
2020-10-03 14:39

Branch CR31789_1 has been deleted by inv.

SHA-1: 49b0371998a67c1a372eb78306a13368f8f79136
(0095668)
git (administrator)
2020-10-03 14:39

Branch CR31789 has been deleted by inv.

SHA-1: 43c033b7a185a63d8be8287e018f8402c69836bc

- Related Changesets
occt: master 4945e8be
Timestamp: 2020-09-24 14:14:15
Author: abv
Committer: abv
Details ] Diff ]
0031789: Coding Rules - remove redundant Standard_EXPORT from TKMesh

- Standard_EXPORT which were specified for inline methods were deleted.
- ALL occurrences of DEFINE_STANDARD_RTTI_INLINE were replaced by DEFINE_STANDARD_RTTIEXT in header files and IMPLEMENT_STANDARD_RTTIEXT in source files
- ALL occurrences of "inline" keyword were deleted where it didn't not cause a linkage errors
- Added source files for classes that were without them for IMPLEMENT_STANDARD_RTTIEXT
mod - src/BRepMesh/BRepMesh_BaseMeshAlgo.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_BaseMeshAlgo.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Circle.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_CircleInspector.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_CircleTool.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Classifier.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Classifier.hxx Diff ] File ]
add - src/BRepMesh/BRepMesh_ConstrainedBaseMeshAlgo.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_ConstrainedBaseMeshAlgo.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Context.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Context.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_CurveTessellator.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_CurveTessellator.hxx Diff ] File ]
add - src/BRepMesh/BRepMesh_CustomBaseMeshAlgo.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_CustomBaseMeshAlgo.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_DataStructureOfDelaun.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_DataStructureOfDelaun.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_DefaultRangeSplitter.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Deflection.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Deflection.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Delaun.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Delaun.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_DelaunayBaseMeshAlgo.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_DelaunayBaseMeshAlgo.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_DelaunayDeflectionControlMeshAlgo.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_DelaunayNodeInsertionMeshAlgo.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_DiscretFactory.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_DiscretRoot.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Edge.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_EdgeDiscret.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_EdgeDiscret.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_EdgeTessellationExtractor.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_EdgeTessellationExtractor.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_FaceChecker.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_FaceChecker.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_FaceDiscret.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_FaceDiscret.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_GeomTool.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_IncrementalMesh.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_IncrementalMesh.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_MeshAlgoFactory.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_MeshAlgoFactory.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_MeshTool.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_MeshTool.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_ModelBuilder.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_ModelBuilder.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_ModelHealer.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_ModelHealer.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_ModelPostProcessor.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_ModelPostProcessor.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_ModelPreProcessor.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_ModelPreProcessor.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_NURBSRangeSplitter.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_OrientedEdge.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_PairOfIndex.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_SelectorOfDataStructureOfDelaun.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_SelectorOfDataStructureOfDelaun.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_ShapeTool.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_ShapeTool.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_ShapeVisitor.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_ShapeVisitor.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_SphereRangeSplitter.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Triangle.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_UVParamRangeSplitter.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_Vertex.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_VertexInspector.hxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_VertexTool.cxx Diff ] File ]
mod - src/BRepMesh/BRepMesh_VertexTool.hxx Diff ] File ]
mod - src/BRepMesh/FILES Diff ] File ]
mod - src/BRepMeshData/BRepMeshData_Curve.cxx Diff ] File ]
mod - src/BRepMeshData/BRepMeshData_Curve.hxx Diff ] File ]
mod - src/BRepMeshData/BRepMeshData_Edge.cxx Diff ] File ]
mod - src/BRepMeshData/BRepMeshData_Edge.hxx Diff ] File ]
mod - src/BRepMeshData/BRepMeshData_Face.cxx Diff ] File ]
mod - src/BRepMeshData/BRepMeshData_Face.hxx Diff ] File ]
mod - src/BRepMeshData/BRepMeshData_Model.cxx Diff ] File ]
mod - src/BRepMeshData/BRepMeshData_Model.hxx Diff ] File ]
mod - src/BRepMeshData/BRepMeshData_PCurve.cxx Diff ] File ]
mod - src/BRepMeshData/BRepMeshData_PCurve.hxx Diff ] File ]
mod - src/BRepMeshData/BRepMeshData_Wire.cxx Diff ] File ]
mod - src/BRepMeshData/BRepMeshData_Wire.hxx Diff ] File ]
mod - src/IMeshData/FILES Diff ] File ]
add - src/IMeshData/IMeshData_Curve.cxx Diff ] File ]
mod - src/IMeshData/IMeshData_Curve.hxx Diff ] File ]
add - src/IMeshData/IMeshData_Edge.cxx Diff ] File ]
mod - src/IMeshData/IMeshData_Edge.hxx Diff ] File ]
add - src/IMeshData/IMeshData_Face.cxx Diff ] File ]
mod - src/IMeshData/IMeshData_Face.hxx Diff ] File ]
add - src/IMeshData/IMeshData_Model.cxx Diff ] File ]
mod - src/IMeshData/IMeshData_Model.hxx Diff ] File ]
add - src/IMeshData/IMeshData_ParametersList.cxx Diff ] File ]
mod - src/IMeshData/IMeshData_ParametersList.hxx Diff ] File ]
mod - src/IMeshData/IMeshData_ParametersListArrayAdaptor.hxx Diff ] File ]
add - src/IMeshData/IMeshData_PCurve.cxx Diff ] File ]
mod - src/IMeshData/IMeshData_PCurve.hxx Diff ] File ]
add - src/IMeshData/IMeshData_Shape.cxx Diff ] File ]
mod - src/IMeshData/IMeshData_Shape.hxx Diff ] File ]
mod - src/IMeshData/IMeshData_StatusOwner.hxx Diff ] File ]
add - src/IMeshData/IMeshData_TessellatedShape.cxx Diff ] File ]
mod - src/IMeshData/IMeshData_TessellatedShape.hxx Diff ] File ]
add - src/IMeshData/IMeshData_Wire.cxx Diff ] File ]
mod - src/IMeshData/IMeshData_Wire.hxx Diff ] File ]
mod - src/IMeshTools/FILES Diff ] File ]
add - src/IMeshTools/IMeshTools_Context.cxx Diff ] File ]
mod - src/IMeshTools/IMeshTools_Context.hxx Diff ] File ]
add - src/IMeshTools/IMeshTools_CurveTessellator.cxx Diff ] File ]
mod - src/IMeshTools/IMeshTools_CurveTessellator.hxx Diff ] File ]
add - src/IMeshTools/IMeshTools_MeshAlgo.cxx Diff ] File ]
mod - src/IMeshTools/IMeshTools_MeshAlgo.hxx Diff ] File ]
add - src/IMeshTools/IMeshTools_MeshAlgoFactory.cxx Diff ] File ]
mod - src/IMeshTools/IMeshTools_MeshAlgoFactory.hxx Diff ] File ]
mod - src/IMeshTools/IMeshTools_MeshBuilder.cxx Diff ] File ]
mod - src/IMeshTools/IMeshTools_MeshBuilder.hxx Diff ] File ]
add - src/IMeshTools/IMeshTools_ModelAlgo.cxx Diff ] File ]
mod - src/IMeshTools/IMeshTools_ModelAlgo.hxx Diff ] File ]
add - src/IMeshTools/IMeshTools_ModelBuilder.cxx Diff ] File ]
mod - src/IMeshTools/IMeshTools_ModelBuilder.hxx Diff ] File ]
mod - src/IMeshTools/IMeshTools_ShapeExplorer.cxx Diff ] File ]
mod - src/IMeshTools/IMeshTools_ShapeExplorer.hxx Diff ] File ]
add - src/IMeshTools/IMeshTools_ShapeVisitor.cxx Diff ] File ]
mod - src/IMeshTools/IMeshTools_ShapeVisitor.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2020-09-23 09:46 kgv New Issue
2020-09-23 09:46 kgv Assigned To => kgv
2020-09-23 09:46 kgv Assigned To kgv => mkrylova
2020-09-23 09:46 kgv Priority normal => low
2020-09-23 09:47 kgv Relationship added child of 0029590
2020-09-23 09:48 kgv Product Version 7.5.0 => 7.4.0
2020-09-23 09:48 kgv Status new => assigned
2020-09-24 17:10 git Note Added: 0095276
2020-09-24 17:24 git Note Added: 0095277
2020-09-24 17:26 git Note Added: 0095278
2020-09-24 17:26 mkrylova Assigned To mkrylova => kgv
2020-09-24 17:26 mkrylova Status assigned => resolved
2020-09-24 17:26 mkrylova Steps to Reproduce Updated View Revisions
2020-09-24 19:18 kgv Note Added: 0095286
2020-09-24 19:18 kgv Assigned To kgv => mkrylova
2020-09-24 19:18 kgv Status resolved => assigned
2020-09-24 19:24 kgv Target Version 7.6.0* => 7.5.0
2020-09-25 15:21 git Note Added: 0095323
2020-09-25 15:25 git Note Added: 0095326
2020-09-25 15:53 mkrylova Assigned To mkrylova => kgv
2020-09-25 15:53 mkrylova Status assigned => resolved
2020-09-25 16:19 kgv Assigned To kgv => mkrylova
2020-09-25 16:19 kgv Status resolved => assigned
2020-09-28 14:07 git Note Added: 0095442
2020-09-28 14:09 git Note Added: 0095443
2020-09-28 14:10 mkrylova Assigned To mkrylova => kgv
2020-09-28 14:10 mkrylova Status assigned => resolved
2020-09-28 16:08 kgv Note Added: 0095444
2020-09-28 16:08 kgv Assigned To kgv => bugmaster
2020-09-28 16:08 kgv Status resolved => reviewed
2020-10-03 12:52 bugmaster Test case number => Not required
2020-10-03 14:03 bugmaster Note Added: 0095626
2020-10-03 14:03 bugmaster Status reviewed => tested
2020-10-03 14:05 abv Changeset attached => occt master 4945e8be
2020-10-03 14:05 abv Assigned To bugmaster => abv
2020-10-03 14:05 abv Status tested => verified
2020-10-03 14:05 abv Resolution open => fixed
2020-10-03 14:38 git Note Added: 0095658
2020-10-03 14:38 git Note Added: 0095659
2020-10-03 14:39 git Note Added: 0095665
2020-10-03 14:39 git Note Added: 0095668


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker